package com.lightinit.hsdataportal.mapper;

import com.lightinit.hsdataportal.entity.DataCatelogItem;
import com.lightinit.hsdataportal.entity.DataCatelogItemExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface DataCatelogItemMapper {
    long countByExample(DataCatelogItemExample example);

    int deleteByExample(DataCatelogItemExample example);

    int deleteByPrimaryKey(Long id);

    int insert(DataCatelogItem record);

    int insertSelective(DataCatelogItem record);

    List<DataCatelogItem> selectByExample(DataCatelogItemExample example);

    DataCatelogItem selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") DataCatelogItem record, @Param("example") DataCatelogItemExample example);

    int updateByExample(@Param("record") DataCatelogItem record, @Param("example") DataCatelogItemExample example);

    int updateByPrimaryKeySelective(DataCatelogItem record);

    int updateByPrimaryKey(DataCatelogItem record);
}